
Foreman - Bug #369

Problem with e-mail reports after "downtime" patch applied

08/31/2010 01:20 AM - Eric Shamow

Status: Closed   

Priority: Normal   

Assignee: Eric Shamow   

Category: E-Mail   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We see the following after running a summary report:

[root@puppet-dev-01 foreman]# rake reports:summarize RAILS_ENV="production" --trace

(in /usr/local/foreman)

Invoke reports:summarize (first_time)

Invoke environment (first_time)

Execute environment

Execute reports:summarize

rake aborted!

Missing host to link to! Please provide :host parameter or set default_url_options[:host]

On line #84 of app/views/host_mailer/summary.text.html.erb

81:             &lt;td style=&quot;border: 1px solid #FF9933;

    82:               border-collapse: collapse;

    83:               padding: 4px;

    84:               background-color: #FFFFFF;"><%= link_to host.name, host_path(:id => host.id,

 :host => @url, :only_path => false) %>

    85:             &lt;/td&gt;

    86:             &lt;td style=&quot;border: 1px solid #FF9933;

    87:               border-collapse: collapse;

 
(eval):16:in `host_path'

    app/views/host_mailer/summary.text.html.erb:84

    app/views/host_mailer/summary.text.html.erb:79:in `each'

    app/views/host_mailer/summary.text.html.erb:79

    lib/tasks/reports.rake:79

    rake (0.8.7) lib/rake.rb:635:in `call'

    rake (0.8.7) lib/rake.rb:635:in `execute'

    rake (0.8.7) lib/rake.rb:630:in `each'

    rake (0.8.7) lib/rake.rb:630:in `execute'

    rake (0.8.7) lib/rake.rb:596:in `invoke_with_call_chain'

    /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

    rake (0.8.7) lib/rake.rb:589:in `invoke_with_call_chain'

    rake (0.8.7) lib/rake.rb:582:in `invoke'

    rake (0.8.7) lib/rake.rb:2050:in `invoke_task'

    rake (0.8.7) lib/rake.rb:2028:in `top_level'

    rake (0.8.7) lib/rake.rb:2028:in `each'

    rake (0.8.7) lib/rake.rb:2028:in `top_level'

    rake (0.8.7) lib/rake.rb:2067:in `standard_exception_handling'

    rake (0.8.7) lib/rake.rb:2022:in `top_level'

    rake (0.8.7) lib/rake.rb:2000:in `run'

    rake (0.8.7) lib/rake.rb:2067:in `standard_exception_handling'

    rake (0.8.7) lib/rake.rb:1997:in `run'

    rake (0.8.7) bin/rake:31

    /usr/bin/rake:19:in `load'
    /usr/bin/rake:19

Related issues:

Related to Foreman - Feature #364: Enable "downtime" in Foreman Closed 08/23/2010

Associated revisions

Revision 4683bca6 - 08/31/2010 09:50 AM - Ohad Levy

fixes #369 and refactored the summary email view to make it human readable

Revision 15137a05 - 08/31/2010 10:13 AM - Ohad Levy

refs #369 - added additional tests

Revision 0137e580 - 08/31/2010 10:21 AM - Ohad Levy

refs #369 - removing extra table header

Revision 6ef9a054 - 10/08/2010 08:54 PM - Ohad Levy

fixes #369 - broken links on email reports

History

#1 - 08/31/2010 10:19 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 4683bca63e48c7cd1880a88e44380b4f777d530b.

#2 - 10/03/2010 12:18 PM - Ohad Levy

- Assignee set to Eric Shamow

Hi,

Can you confirm if this is now resolved?

#3 - 10/10/2010 05:45 AM - Ohad Levy

Applied in changeset 6ef9a054eef16656bc5e3c659907fb44c3046481.

#4 - 10/17/2010 02:47 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
